import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:wyatt_component_copy_with_extension/wyatt_component_copy_with_extension.dart';
import 'package:wyatt_ui_components/wyatt_ui_components.dart';

part 'custom_desktop_app_bar.g.dart';

@ComponentCopyWithExtension()
class CustomDesktopAppBar extends TopAppBarComponent
    with $CustomDesktopAppBarCWMixin {
  const CustomDesktopAppBar({
    super.title,
    super.key,
  });

  @override
  Widget build(BuildContext context) => AppBar(
        backgroundColor: Colors.green,
        title: Text(title?.data ?? ''),
      );
}
